
Progresif Pay 2.1 - Bug #16593

[PA-4][Android] Lack of Screen Caching Prevention

30 May 2023 04:02 PM - Nor Khairun Aqila Jesmen

Status: Resolved Start date: 01 June 2023

Priority: High Due date: 01 June 2023

Assignee: Nor Khairun Aqila Jesmen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Description:

The application may expose sensitive information via the app switcher.

Recommendation:

Overlay an image as the application enters the background state or explicitly mark the fields hidden via the View Controller.

Fixes:

Remove sensitive information from views before moving to the background.

https://stackoverflow.com/a/7520307

Apply on package PP 2.1

History

#1 - 30 May 2023 04:15 PM - Nor Khairun Aqila Jesmen

- File deleted (PA-4 Android.png)

#2 - 30 May 2023 04:15 PM - Nor Khairun Aqila Jesmen

- File PA-4 Android.png added

#3 - 06 June 2023 05:28 PM - Abdul Halim Baharom

- Status changed from New to Resolved

- Assignee changed from Abdul Halim Baharom to Nor Khairun Aqila Jesmen

- % Done changed from 0 to 100

Fixed

Files

PA-4 Android.png 236 KB 30 May 2023 Nor Khairun Aqila Jesmen
